#include <kapp.h>
#include <klocale.h>
#include <kcmdlineargs.h>

#include <kaboutdata.h>

#include "toplevel.h"


static const char *description = 
	I18N_NOOP("KDE Wizard.");

static const char *version = "v0.0.1";


int main(int argc, char *argv[])
{
  KAboutData aboutData( "kdewizard", I18N_NOOP("KDE Wizard"), 
    version, description, KAboutData::License_GPL, 
    "(c) 1998-2000, KDE Developers");
  KCmdLineArgs::init( argc, argv, &aboutData );
//  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication app;
  
  TopLevel *toplevel = new TopLevel();
  toplevel->show();
  
  int rv = app.exec();
  if (toplevel)
    delete toplevel;
  return rv;
}
